Deactivate workspace API token
Stop an API token authenticating until it is reactivated. The token keeps its secret, and requests made with it answer 401 with code `api_token_inactive`. Revoked or expired tokens answer 409. Like revocation, it requires an Admin browser session with a recent step-up.
Stop an API token authenticating until it is reactivated.
The token keeps its secret, and requests made with it answer 401 with code
api_token_inactive. Revoked or expired tokens answer 409. Like revocation, it
requires an Admin browser session with a recent step-up.
workspaceTokenAuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace Iduuidtoken_id*Token IduuidSuccessful Response
application/json- response
created_at*Created Atdate-timecreated_by*The member a token authenticates as.
deactivated_at*|nullexpires_at*Expires Atdate-timeid*Iduuidlast_used_at*|nullname*Nameprefix*Prefixrevoked_at*|nullscopes*array<string>status*Statusrevoked and expired are final. inactive tokens were deactivated and do not authenticate until they are reactivated.
"active""inactive""expired""revoked"curl -X POST 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/api-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08/deactivate'{ "created_at": "2019-08-24T14:15:22Z", "created_by": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string" }, "deactivated_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_used_at": "2019-08-24T14:15:22Z", "name": "string", "prefix": "string", "revoked_at": "2019-08-24T14:15:22Z", "scopes": [ "string" ], "status": "active"}